## koffice 2.1.0-10

=== debian/changelog ===
koffice (2.1.0-10) unstable; urgency=high

  * Took latest snapshot from upstream.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 3 Mar 2010 08:59:41 +0200

koffice (2.1.0-7) unstable; urgency=high

  * Took latest snapshot from upstream.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 3 Mar 2010 08:59:41 +0200

koffice (2.1.0-6) unstable; urgency=high

  * Took latest snapshot from upstream.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 3 Mar 2010 08:59:41 +0200

koffice (2.1.0-5) unstable; urgency=high

  * Took latest snapshot from upstream.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Thu, 25 Feb 2010 08:59:41 +0200

koffice (2.1.0-4) unstable; urgency=high

  * Added kword headers needed by new UI.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Thu, 11 Feb 2010 08:59:41 +0200

koffice (2.1.0-3) unstable; urgency=high

  * Removed some qt3 dependencies.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 27 Jan 2010 08:59:41 +0200

koffice (2.1.0-2) unstable; urgency=high

  * Re-enabled some headers.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 27 Jan 2010 08:59:41 +0200

koffice (2.1.0-1) unstable; urgency=high

  * Added videoshape and took latest source from upstream.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 20 Jan 2010 08:59:41 +0200

=== debian/control ===
Source: koffice
Section: libs
Priority: extra
Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Build-Depends: cdbs (>= 0.4.52), shared-mime-info, debhelper (>= 5), quilt, cmake (>= 2.6.2), pkg-kde-tools (>= 0.4), libboost1.38-dev, libkok-dev, libpng12-dev, libeigen2-dev, libqt4-phonon (>= 4.5.2), libjpeg62-dev, automoc, libgsf-1-dev, libx11-dev
Standards-Version: 3.7.2

Package: koffice-kchart
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, kofficemaemo (>= ${binary:Version})
Description: Chart support for office application suite
 KOffice chart library.

Package: kofficemaemo
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libkok, libgsf-1
Description: Office application suite for maemo.
 Koffice main libraries.

Package: kofficemaemo-dev
Section: libdevel
Architecture: any
Depends: kofficemaemo (>= ${binary:Version}), libkok-dev
Description: Office application suite dev files for maemo.
 KOffice development files.

Package: kofficemaemo-doc
Section: doc
Architecture: any
Description: Document package for kofficemaemo
 Document package

Package: kofficemaemo-dbg
Priority: extra
Architecture: any
Depends: kofficemaemo (= ${binary:Version}), koffice-kchart (= ${binary:Version})
Description: Office application suite dbg files for maemo.
 KOffice dbg symbols.

=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_CMAKE_EXTRA_FLAGS := -DBUILD_artistictextshape=OFF -DBUILD_colorspaces=OFF -DBUILD_doc=OFF -DBUILD_generic_wrapper=OFF -DBUILD_karbon=OFF -DBUILD_kchart=ON -DBUILD_kexi=OFF -DBUILD_kformula=OFF -DBUILD_kivio=OFF -DBUILD_kspread=ON -DBUILD_libkowmf=ON -DBUILD_musicshape=OFF -DBUILD_scan=OFF -DBUILD_f-office=OFF -DBUILD_simpletextedit=OFF -DTINY=ON -DCMAKE_BUILD_TYPE=release
include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

#dpkg-shlibdeps debian/tmp/usr/bin/* debian/tmp/usr/lib/*

## koffice 2.1.0-11

=== debian/changelog ===
koffice (2.1.0-11) unstable; urgency=high

  * Took latest snapshot from upstream.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 3 Mar 2010 08:59:41 +0200

## koffice 2.1.0-12

=== debian/changelog ===
koffice (2.1.0-12) unstable; urgency=high

  * Took latest snapshot from upstream.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 3 Mar 2010 08:59:41 +0200

## koffice 2.1.1-0

=== debian/changelog ===
koffice (2.1.1-0) unstable; urgency=high

  * Took latest snapshot from upstream.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 3 Mar 2010 08:59:41 +0200

## koffice 2.1.1-1

=== debian/changelog ===
koffice (2.1.1-1) unstable; urgency=high

  * Took latest snapshot from upstream.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 3 Mar 2010 08:59:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: extra
 Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
-Build-Depends: cdbs (>= 0.4.52), shared-mime-info, debhelper (>= 5), quilt, cmake (>= 2.6.2), pkg-kde-tools (>= 0.4), libboost1.38-dev, libkok-dev, libpng12-dev, libeigen2-dev, libqt4-phonon (>= 4.5.2), libjpeg62-dev, automoc, libgsf-1-dev, libx11-dev
-Standards-Version: 3.7.2
+Build-Depends: cdbs (>= 0.4.52), shared-mime-info, debhelper (>= 5), quilt, cmake (>= 2.6.2), pkg-kde-tools (>= 0.4), libboost1.38-dev, libkok-dev, libpng12-dev, libeigen2-dev, libqt4-phonon, libjpeg62-dev, automoc, libgsf-1-dev, libx11-dev
+Standards-Version: 3.8.0
 
 Package: koffice-kchart
 Section: libs
@@ -15,7 +15,7 @@
 Package: kofficemaemo
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, libkok, libgsf-1
+Depends: ${shlibs:Depends}
 Description: Office application suite for maemo.
  Koffice main libraries.

## koffice 2.1.1-2

=== CMakeLists.txt ===
project(koffice)

cmake_minimum_required(VERSION 2.6.2 FATAL_ERROR)

 ############
#############
## Options ##
#############
############

 ######################
#######################
## Constants defines ##
#######################
######################

# define the generic version of the KOffice libraries here
# this makes it easy to advance it when the next KOffice release comes
set(GENERIC_KOFFICE_LIB_VERSION "7.0.0")
set(GENERIC_KOFFICE_LIB_SOVERSION "7")

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

#
# WARNING: don't change the SHOULD_BUILD_app if an application
# doesn't build, but rather add the following line:
# option(BUILD_app "Build directory app" OFF)
#
#eg:
#option(BUILD_kexi "Build directory kexi" OFF) # kexi isn't buildable at the moment

option(TINY "compile a tiny KOffice" OFF)

IF (TINY)
    set(SHOULD_BUILD_KWORD TRUE)
    set(SHOULD_BUILD_KPRESENTER TRUE)
    set(SHOULD_BUILD_KSPREAD TRUE)
    set(SHOULD_BUILD_KARBON FALSE)
    set(SHOULD_BUILD_KRITA FALSE)
    set(SHOULD_BUILD_KEXI FALSE)
    set(SHOULD_BUILD_KIVIO FALSE)
    set(SHOULD_BUILD_KPLATO FALSE)
    set(SHOULD_BUILD_KFORMULA FALSE)
    set(SHOULD_BUILD_KCHART TRUE)
    set(SHOULD_BUILD_KDGANTT FALSE)
    set(SHOULD_BUILD_KOUNAVAIL FALSE)
    set(SHOULD_BUILD_SCRIPTING FALSE)
    set(SHOULD_BUILD_F_OFFICE TRUE)
    set(SHOULD_BUILD_KOREPORT FALSE)
ELSE(TINY)
    set(SHOULD_BUILD_KWORD TRUE)
    set(SHOULD_BUILD_KPRESENTER TRUE)
    set(SHOULD_BUILD_KSPREAD TRUE)
    set(SHOULD_BUILD_KARBON TRUE)
    set(SHOULD_BUILD_KRITA TRUE)
    set(SHOULD_BUILD_KEXI TRUE)
    set(SHOULD_BUILD_KIVIO TRUE)
    set(SHOULD_BUILD_KPLATO TRUE)
    set(SHOULD_BUILD_KFORMULA TRUE)
    set(SHOULD_BUILD_KCHART TRUE)
    set(SHOULD_BUILD_KDGANTT TRUE)
    set(SHOULD_BUILD_KOUNAVAIL TRUE)
    set(SHOULD_BUILD_SCRIPTING TRUE)
    set(SHOULD_BUILD_F_OFFICE TRUE)
    set(SHOULD_BUILD_KOREPORT TRUE)
ENDIF(TINY)

if(KDE4_BUILD_TESTS)
    # only with this definition will the FOO_TEST_EXPORT macro do something
    add_definitions(-DCOMPILING_TESTS)
endif(KDE4_BUILD_TESTS)

 ########################
#########################
## Look for KDE and Qt ##
#########################
########################
set(KDE_MIN_VERSION "4.3.0")
find_package(KDE4 4.3.0 REQUIRED)

option(FORCE_COMPILATION_WITH_QT45 "This option force KOffice to accept compilation with Qt4.5, but note that this is not supported by KOffice team" OFF)

if(FORCE_COMPILATION_WITH_QT45)
  find_package(Qt4 4.5.0 REQUIRED)
else(FORCE_COMPILATION_WITH_QT45)
  find_package(Qt4 4.6.0 REQUIRED)
endif(FORCE_COMPILATION_WITH_QT45)

include(KDE4Defaults)
include(MacroLibrary)
include (MacroAdditionalCleanFiles)
include (MacroAddFileDependencies)

 ###########################
############################
## Required dependencies  ##
############################
###########################

find_package(Perl REQUIRED)
find_package(ZLIB REQUIRED)
find_package(PNG REQUIRED)

if (APPLE)
   find_package(Carbon REQUIRED)
endif (APPLE)

 ################################
#################################
## Check for OpenEXR           ##
#################################
################################


macro_optional_find_package(OpenEXR)
macro_bool_to_01(OPENEXR_FOUND HAVE_OPENEXR)
configure_file(config-openexr.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-openexr.h )
install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/config-openexr.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)


 ###########################
############################
## Optional dependencies  ##
############################
###########################

##
## Look for OpenGL
##

macro_optional_find_package(OpenGL)
set(HAVE_OPENGL 0)

if(OPENGL_FOUND)
    message(STATUS "Found OpenGL: ${OPENGL_LIBRARIES}")
    if(QT_QTOPENGL_FOUND)
        message(STATUS "Found Qt OpenGL support")
        set(HAVE_OPENGL 1)
    else(QT_QTOPENGL_FOUND)
        message(STATUS "Did NOT find Qt OpenGL support. Check your Qt configuration")
    endif(QT_QTOPENGL_FOUND)
else(OPENGL_FOUND)
    message(STATUS "Did NOT find OpenGL libraries")
endif(OPENGL_FOUND)

configure_file(config-opengl.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-opengl.h )
install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/config-opengl.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)
macro_log_feature(HAVE_OPENGL "OpenGL" "OpenGL support" "" FALSE "" "Required by parts of Krita and optionally by flake")

##
## Test for create ressources
##
macro_optional_find_package(CreateResources)
macro_log_feature(CREATERESOURCES_FOUND "Create Resources" "Create Resources (brushes, palettes etc.)" "http://create.freedesktop.org" FALSE "" "Required by KOffice for optional extra resources.")

##
## Test for kdepimlibs
##
macro_optional_find_package(KdepimLibs)
macro_log_feature(KDEPIMLIBS_FOUND "KDE PIMLibs" "KDE Personal Information Management Libraries" "http://www.kde.org/" FALSE "" "Required by KPlato and the KDE address book integration (available as a module in KDE)")

##
## Test for boost
##
macro_optional_find_package(Boost)
macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "http://www.boost.org" FALSE "" "Required by KPresenter")

##
## Test for eigen2
##
macro_optional_find_package(Eigen2)
macro_log_feature(EIGEN2_FOUND "Eigen" "C++ template library for linear algebra" "http://eigen.tuxfamily.org" FALSE "2.0" "Required by KSpread and Krita")

##
## Test for blitz
##
macro_optional_find_package(Blitz)
macro_log_feature(BLITZ_FOUND "QImageBlitz" "Image effect library" "http://www.kde.org" FALSE "" "Required by Krita (available in kdesupport)")

##
## Test for QCA2
##
macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca" FALSE "2.0" "Required for encrypted OpenDocument files support (available as a module in kdesupport)")

##
## Test for exiv2
##
set(EXIV2_MIN_VERSION "0.16")
macro_optional_find_package(Exiv2)
macro_log_feature(EXIV2_FOUND "Exiv2" "Image metadata library and tools" "http://www.exiv2.org" FALSE "0.16" "Required by Krita")

##
## Test for soprano
##
macro_optional_find_package(Soprano)
macro_log_feature(Soprano_FOUND "Soprano" "KDE4 RDF handling library" "http://soprano.sourceforge.net/" FALSE "" "Required to handle RDF metadata in ODF")
if(NOT Soprano_FOUND)
    set(SHOULD_BUILD_RDF FALSE)
    set(SOPRANO_INCLUDE_DIR "")
else(NOT Soprano_FOUND)
    set(SHOULD_BUILD_RDF TRUE)
endif(NOT Soprano_FOUND)
if( Soprano_FOUND )
   add_definitions( -DSHOULD_BUILD_RDF )
endif( Soprano_FOUND )


##
## Test for lcms
##
macro_optional_find_package(LCMS)
set(REQUIRED_LCMS_VERSION 118)
if(LCMS_FOUND AND NOT LCMS_VERSION LESS ${REQUIRED_LCMS_VERSION})
    set(HAVE_REQUIRED_LCMS_VERSION TRUE)
    set(HAVE_LCMS TRUE)
else(LCMS_FOUND AND NOT LCMS_VERSION LESS ${REQUIRED_LCMS_VERSION})
    set(HAVE_REQUIRED_LCMS_VERSION FALSE)
    set(HAVE_LCMS FALSE)
endif(LCMS_FOUND AND NOT LCMS_VERSION LESS ${REQUIRED_LCMS_VERSION})

macro_log_feature(HAVE_REQUIRED_LCMS_VERSION "LittleCMS" "Color management engine" "http://www.littlecms.com" FALSE "1.18" "Required for color management and Krita")

#Set the build of TextShape changetraker

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS})

if(WIN32)
    # detect oxygen icon dir at configure time based on KDEDIRS - there may be different package installation locations
    execute_process(COMMAND "${KDE4_KDECONFIG_EXECUTABLE}" --path icon OUTPUT_VARIABLE _dir ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
    file(TO_CMAKE_PATH "${_dir}" __dir)
    find_path(KDE4_ICON_DIR oxygen PATHS
        ${__dir}
    )
    message(STATUS "using oxygen application icons from ${KDE4_ICON_DIR}")

    set(LIB_INSTALL_DIR ${LIB_INSTALL_DIR}
                        RUNTIME DESTINATION ${BIN_INSTALL_DIR}
                        LIBRARY ${INSTALL_TARGETS_DEFAULT_ARGS}
                        ARCHIVE ${INSTALL_TARGETS_DEFAULT_ARGS} )


else(WIN32)
    set (KDE4_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)
endif(WIN32)

##
## Test endianess
##
include (TestBigEndian)
TEST_BIG_ENDIAN(CMAKE_WORDS_BIGENDIAN)
configure_file(config-endian.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-endian.h )

##
## Generate a file for prefix information
##
configure_file(config-prefix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-prefix.h )

 ####################
#####################
## Define includes ##
#####################
####################

# WARNING: make sure that QT_INCLUDES is the first directory to be added to include_directory before
#          any other include directory

# for config.h and <toplevel/foo.h> includes (if any?)
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/interfaces )

# koplugin is at the bottom of the stack
set(KOPLUGIN_INCLUDES ${CMAKE_SOURCE_DIR}/libs/koplugin)

# koodf is at the bottom of the stack
set(KOODF_INCLUDES ${CMAKE_SOURCE_DIR}/libs/odf
                   ${CMAKE_BINARY_DIR}/libs/odf
                   ${KDE4_INCLUDES})

# pigment depends on koplugin and lcms
set(PIGMENT_INCLUDES ${KOPLUGIN_INCLUDES}
                   ${CMAKE_SOURCE_DIR}/libs/pigment
                   ${CMAKE_SOURCE_DIR}/libs/pigment/compositeops
                   ${CMAKE_SOURCE_DIR}/libs/pigment/resources
                   ${QT_INCLUDES}
                   ${KDE4_INCLUDES})

# flake depends on koodf and pigment
set(FLAKE_INCLUDES ${CMAKE_SOURCE_DIR}/libs/flake
                   ${KOODF_INCLUDES}
                   ${KOPLUGIN_INCLUDES}
                   ${PIGMENT_INCLUDES}
                   ${CMAKE_SOURCE_DIR}/libs/flake/commands
                   ${CMAKE_SOURCE_DIR}/libs/flake/tools
                   ${CMAKE_BINARY_DIR}/libs/flake)

# KoText depends on koplugin, odf
set(KOTEXT_INCLUDES ${CMAKE_SOURCE_DIR}/libs/kotext
                   ${CMAKE_BINARY_DIR}/libs/kotext
                   ${CMAKE_SOURCE_DIR}/libs/kotext/changetracker
                   ${CMAKE_SOURCE_DIR}/libs/kotext/styles
                   ${CMAKE_SOURCE_DIR}/libs/kotext/opendocument
                   ${SOPRANO_INCLUDE_DIR}
                   ${FLAKE_INCLUDES}
                   ${KOODF_INCLUDES})

# komain depends on kotext & flake
set(KOMAIN_INCLUDES ${KDE4_INCLUDES}
                    ${KOTEXT_INCLUDES}
                    ${CMAKE_SOURCE_DIR}/libs/widgets
                    ${CMAKE_SOURCE_DIR}/libs/main
                    ${CMAKE_SOURCE_DIR}/libs/main/config)

if(SHOULD_BUILD_SCRIPTING)
  set(KOKROSS_INCLUDES ${CMAKE_SOURCE_DIR}/libs/kokross ${CMAKE_BINARY_DIR}/libs/kokross)
endif(SHOULD_BUILD_SCRIPTING)

# kopageapp
set(KOPAGEAPP_INCLUDES ${CMAKE_SOURCE_DIR}/libs/kopageapp ${CMAKE_SOURCE_DIR}/libs/kopageapp/commands ${CMAKE_BINARY_DIR}/libs/kopageapp )

# koproperty
SET(KOPROPERTY_TARGETNAME koproperty)                           # TODO remove when we move to independent place
SET(KOPROPERTY_LIBS ${KOPROPERTY_TARGETNAME})                   # TODO remove when we move to independent place
SET(KOPROPERTY_LIB_VERSION ${GENERIC_KOFFICE_LIB_VERSION})      # TODO remove when we move to independent place
SET(KOPROPERTY_LIB_SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION})  # TODO remove when we move to independent place
SET(KOPROPERTY_USE_KOLIBS TRUE)                                 # TODO remove when we move to independent place
set(KOPROPERTY_INCLUDES ${KOODF_INCLUDES}
                        ${CMAKE_SOURCE_DIR}/libs
                        ${CMAKE_SOURCE_DIR}/libs/widgets)

 #############################################
##############################################
## Detect which applications can be compile ##
##############################################
#############################################

#
# WARNING: when adding a dependency if there is allready a line
# containing SHOULD_BUILD_app, don't add a new one, just add
# the test to the if construct
#


### KSpread: eigen2
if(NOT EIGEN2_FOUND)
    set(SHOULD_BUILD_KSPREAD FALSE)
endif(NOT EIGEN2_FOUND)

### KPresenter: boost
if(NOT Boost_FOUND)

=== doc/CMakeLists.txt ===
if(SHOULD_BUILD_KARBON)
	add_subdirectory(karbon)
endif(SHOULD_BUILD_KARBON)
add_subdirectory(kchart)
if(BUILD_kexi)
    if( BZIP2_EXECUTABLE )
        add_subdirectory(kexi)
    endif( BZIP2_EXECUTABLE )
endif(BUILD_kexi)
add_subdirectory(kformula)
add_subdirectory(kivio)
add_subdirectory(koffice)
if(SHOULD_BUILD_KPRESENTER)
        add_subdirectory(kpresenter)
endif(SHOULD_BUILD_KPRESENTER)
if(SHOULD_BUILD_KSPREAD)
	add_subdirectory(kspread)
endif(SHOULD_BUILD_KSPREAD)
add_subdirectory(thesaurus)

INSTALL(FILES   koffice.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== kspread/CMakeLists.txt ===
project(kspread)

add_subdirectory( data )
add_subdirectory( shape )
add_subdirectory( tests )
add_subdirectory( plugins )
add_subdirectory( dtd )
add_subdirectory( functions )

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/tests
                     ${CMAKE_CURRENT_SOURCE_DIR}/ui
                     ${CMAKE_SOURCE_DIR}/interfaces
                     ${CMAKE_SOURCE_DIR}/kchart
                     ${KOMAIN_INCLUDES}
                     ${KOTEXT_INCLUDES}
                     ${EIGEN2_INCLUDE_DIR} )

########### next target ###############
SET (chart_DIR_SRCS
	chart/ChartDatabaseSelectorFactory.cpp
	chart/ChartDatabaseSelector.cpp
	chart/ChartDialog.cpp
	)

kde4_add_ui_files(chart_DIR_SRCS
	chart/ChartDatabaseSelector.ui
	)

SET (commands_DIR_SRCS
	commands/AbstractRegionCommand.cpp
	commands/ApplyFilterCommand.cpp
	commands/AutoFillCommand.cpp
	commands/AutoFilterCommand.cpp
	commands/AutoFormatCommand.cpp
	commands/BorderColorCommand.cpp
	commands/CommentCommand.cpp
	commands/ConditionCommand.cpp
	commands/CSVDataCommand.cpp
	commands/DataManipulators.cpp
	commands/DeleteCommand.cpp
	commands/IndentationCommand.cpp
	commands/LinkCommand.cpp
	commands/MergeCommand.cpp
	commands/NamedAreaCommand.cpp
	commands/PrecisionCommand.cpp
	commands/RowColumnManipulators.cpp
	commands/SheetCommands.cpp
	commands/SortManipulator.cpp
	commands/SpellCheckCommand.cpp
	commands/StyleCommand.cpp
	commands/Undo.cpp
	commands/ValidityCommand.cpp
	)

SET (database_DIR_SRCS
	database/Database.cpp
	database/DatabaseManager.cpp
	database/DatabaseSource.cpp
	database/DatabaseSourceQuery.cpp
	database/DatabaseSourceSql.cpp
	database/DatabaseSourceTable.cpp
	database/Filter.cpp
	database/FilterPopup.cpp
	)

SET (dialogs_DIR_SRCS
	dialogs/AddNamedAreaDialog.cpp
	dialogs/AngleDialog.cpp
	dialogs/AutoFormatDialog.cpp
	dialogs/CommentDialog.cpp
	dialogs/ConditionalDialog.cpp
	dialogs/ConsolidateDialog.cpp
	dialogs/CSVDialog.cpp
	dialogs/DatabaseDialog.cpp
	dialogs/DocumentSettingsDialog.cpp
	dialogs/FindDialog.cpp
	dialogs/FormulaDialog.cpp
	dialogs/GoalSeekDialog.cpp
	dialogs/GotoDialog.cpp
	dialogs/InsertDialog.cpp
	dialogs/LayoutDialog.cpp
	dialogs/LinkDialog.cpp
	dialogs/ListDialog.cpp
	dialogs/NamedAreaDialog.cpp
	dialogs/PasteInsertDialog.cpp
	dialogs/Resize2Dialog.cpp
	dialogs/SeriesDialog.cpp
	dialogs/ShowDialog.cpp
	dialogs/ShowColRowDialog.cpp
	dialogs/SortDialog.cpp
	dialogs/SpecialPasteDialog.cpp
	dialogs/StyleManagerDialog.cpp
	dialogs/SubtotalDialog.cpp
	dialogs/ValidityDialog.cpp
	)


kde4_add_ui_files(dialogs_DIR_SRCS
	dialogs/FontWidget.ui
	dialogs/PositionWidget.ui
	dialogs/ProtectionWidget.ui
	dialogs/SpecialPasteWidget.ui
	dialogs/SubtotalWidget.ui
	)

SET (functions_DIR_SRCS
	functions/helper.cpp
	)

SET (interfaces_DIR_SRCS
	interfaces/MapAdaptor.cpp
	interfaces/ReadOnlyRegionModel.cpp
	interfaces/ReadOnlyTableModel.cpp
	interfaces/ReadWriteTableModel.cpp
	interfaces/SheetAdaptor.cpp
	interfaces/ViewAdaptor.cpp
	)

SET (part_DIR_SRCS
	part/Canvas.cpp
	part/CellTool.cpp
	part/CellToolFactory.cpp
	part/Digest.cpp
	part/Doc.cpp
	part/Factory.cpp
	part/Headers.cpp
	part/PrintJob.cpp
	part/PrintManager.cpp
	part/ToolRegistry.cpp
	part/TabBar.cpp
	part/View.cpp
	part/commands/DefinePrintRangeCommand.cpp
	part/commands/PageLayoutCommand.cpp
	part/dialogs/PageLayoutDialog.cpp
	part/dialogs/PreferenceDialog.cpp
	part/dialogs/SheetPropertiesDialog.cpp
	part/dialogs/SheetSelectPage.cpp
)

kde4_add_ui_files(part_DIR_SRCS
	part/dialogs/FileOptionsWidget.ui
	part/dialogs/InterfaceOptionsWidget.ui
	part/dialogs/PageLayoutSheetPage.ui
	part/dialogs/SheetPropertiesWidget.ui
	part/dialogs/SheetSelectWidget.ui
)

SET (ui_DIR_SRCS
	ui/AbstractSelectionStrategy.cpp
	ui/AutoFillStrategy.cpp
	ui/CellToolBase.cpp
	ui/CellToolBase_p.cpp
	ui/CellView.cpp
	ui/DragAndDropStrategy.cpp
	ui/Editors.cpp
	ui/HyperlinkStrategy.cpp
	ui/MergeStrategy.cpp
	ui/PasteStrategy.cpp
	ui/SelectionStrategy.cpp
	ui/SheetView.cpp
	ui/CharSelectDia.cpp
	)

SET (kspreadcommon_LIB_SRCS
	ApplicationSettings.cpp
	Binding.cpp
	BindingManager.cpp
	CalculationSettings.cpp
	Cell.cpp
	CellStorage.cpp
	Cluster.cpp
	Condition.cpp
	Currency.cpp
	Damages.cpp
	DependencyManager.cpp
	Format.cpp
	Formula.cpp
	FunctionModule.cpp
	FunctionModuleRegistry.cpp
	Functions.cpp
	GenValidationStyle.cpp
	Localization.cpp
	Map.cpp
    SheetAccessModel.cpp
	NamedAreaManager.cpp
	Number.cpp
	PageManager.cpp
	PrintSettings.cpp
	RecalcManager.cpp
	Region.cpp
	RowColumnFormat.cpp
	Selection.cpp
	ShapeApplicationData.cpp
	Sheet.cpp
	SheetPrint.cpp
	RectStorage.cpp
	Style.cpp
	StyleManager.cpp
	StyleStorage.cpp
	Util.cpp
	Validity.cpp
	Value.cpp
	ValueCalc.cpp
	ValueConverter.cpp
	ValueFormatter.cpp
	ValueParser.cpp
	tests/inspector.cpp
	${chart_DIR_SRCS}
	${commands_DIR_SRCS}
	${database_DIR_SRCS}
	${dialogs_DIR_SRCS}
	${functions_DIR_SRCS}
	${interfaces_DIR_SRCS}
	${part_DIR_SRCS}
	${ui_DIR_SRCS}
	)

kde4_add_library(kspreadcommon SHARED ${kspreadcommon_LIB_SRCS})

target_link_libraries(kspreadcommon
    komain
    ${QT_QTSQL_LIBRARY}
    ${KDE4_KNOTIFYCONFIG_LIBS}
    kutils
#    ${KDE4_KDE3SUPPORT_LIBS}
)

target_link_libraries(kspreadcommon LINK_INTERFACE_LIBRARIES komain )

set_target_properties(kspreadcommon PROPERTIES
    VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION}
)
install(TARGETS kspreadcommon  ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

SET (kspreadpart_PART_SRCS part/Factory_init.cpp )

kde4_add_plugin(kspreadpart WITH_PREFIX ${kspreadpart_PART_SRCS})



target_link_libraries(kspreadpart kspreadcommon )

install(TARGETS kspreadpart  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

SET (kspread_KDEINIT_SRCS part/Main.cpp )

kde4_add_app_icon(kspread_KDEINIT_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/data/pics/hi*-app-kspread.png")

kde4_add_kdeinit_executable( kspread ${kspread_KDEINIT_SRCS})

if (Q_WS_MAC)
   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.kspread")
   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KSpread 2")
endif (Q_WS_MAC)

target_link_libraries(kdeinit_kspread komain )

install(TARGETS kdeinit_kspread  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries( kspread kdeinit_kspread )
install(TARGETS kspread  ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES  kspread.rc kspread_readonly.rc kspread.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kspread)
install( FILES  kspreadpart.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES  kspread.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES  kspread.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES  kspread_plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install( FILES  kspreadrc DESTINATION ${CONFIG_INSTALL_DIR})

=== filters/libmso/CMakeLists.txt ===
include_directories( ${QT_INCLUDES} ${KDE4_INCLUDES} ../../libs/odf )
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fexceptions -fPIC")
add_library(mso STATIC generated/simpleParser.cpp drawstyle.cpp writer.cpp ODrawToOdf.cpp shapes.cpp)

=== kword/part/CMakeLists.txt ===
project(kwordpart)

add_subdirectory( tests )

include_directories( ${KOTEXT_INCLUDES}  ${KDE4_INCLUDE_DIR}/threadweaver/ )

########### KWordPrivate library ###############

set(kwordprivate_LIB_SRCS
    KWFactory.cpp
    KWord.cpp
    KWApplicationConfig.cpp
    KWCanvas.cpp
    KWDocument.cpp
    KWGui.cpp
    KWView.cpp
    KWPage.cpp
    KWPageManager.cpp
    KWPageStyle.cpp
    KWPageTextInfo.cpp
    KWViewMode.cpp
    KWViewModeNormal.cpp
    KWViewModePreview.cpp
    KWStatusBar.cpp
    KWOdfLoader.cpp
    KWOdfWriter.cpp
    KWOdfSharedLoadingData.cpp
    KWDLoader.cpp

    frames/KWTextDocumentLayout.cpp
    frames/KWFrameLayout.cpp
    frames/KWFrame.cpp
    frames/KWFrameSet.cpp
    frames/KWTextFrame.cpp
    frames/KWTextFrameSet.cpp
    frames/KWCopyShape.cpp
    frames/KWAnchorStrategy.cpp
    frames/KWOutlineShape.cpp

    dialogs/KWFrameConnectSelector.cpp
    dialogs/KWFrameGeometry.cpp
    dialogs/KWFrameRunaroundProperties.cpp
    dialogs/KWGeneralFrameProperties.cpp
    dialogs/KWFrameDialog.cpp
    dialogs/KWShapeConfigFactory.cpp
    dialogs/KWDocumentColumns.cpp
    dialogs/KWStartupWidget.cpp
    dialogs/KWPageSettingsDialog.cpp
    dialogs/KWStatistics.cpp
    dialogs/KWStatisticsDialog.cpp
    dialogs/KWPrintingDialog.cpp
    dialogs/KWCreateBookmarkDialog.cpp
    dialogs/KWSelectBookmarkDialog.cpp
    dialogs/KWInsertPageDialog.cpp
    dockers/KWStatisticsDocker.cpp

    commands/KWPagePropertiesCommand.cpp
    commands/KWPageInsertCommand.cpp
    commands/KWPageRemoveCommand.cpp
    commands/KWFrameDeleteCommand.cpp
    commands/KWFrameCreateCommand.cpp
    commands/KWCreateOutlineCommand.cpp
)
if( Soprano_FOUND )
    set(kwordprivate_LIB_SRCS ${kwordprivate_LIB_SRCS}
        dockers/KWRdfDocker.cpp
        dockers/KWRdfDockerFactory.cpp
        dockers/KWRdfDockerTree.cpp
    )
endif( Soprano_FOUND )

kde4_add_ui_files(kwordprivate_LIB_SRCS
    dialogs/KWFrameConnectSelector.ui
    dialogs/KWFrameGeometry.ui
    dialogs/KWFrameRunaroundProperties.ui
    dialogs/KWGeneralFrameProperties.ui
    dialogs/KWDocumentColumns.ui
    dialogs/KWStartupWidget.ui
    dialogs/KWStatistics.ui
    dialogs/KWCreateBookmark.ui
    dialogs/KWSelectBookmark.ui
    dialogs/KWInsertPageDialog.ui
    dockers/KWStatisticsDocker.ui
)
if( Soprano_FOUND )
    kde4_add_ui_files(kwordprivate_LIB_SRCS
        dockers/KWRdfDocker.ui
    )
endif( Soprano_FOUND )


kde4_add_library(kwordprivate SHARED ${kwordprivate_LIB_SRCS})

target_link_libraries(kwordprivate komain)
if( Soprano_FOUND )
    target_link_libraries(kwordprivate ${SOPRANO_LIBRARIES})
endif( Soprano_FOUND )
target_link_libraries(kwordprivate LINK_INTERFACE_LIBRARIES komain)

set_target_properties(kwordprivate
    PROPERTIES VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION}
)
install(TARGETS kwordprivate  ${INSTALL_TARGETS_DEFAULT_ARGS})

########### KWordPart Library ###############

set(kwordpart_PART_SRCS KWFactoryInit.cpp )


kde4_add_plugin(kwordpart WITH_PREFIX ${kwordpart_PART_SRCS})



target_link_libraries(kwordpart ${KDE4_KDECORE_LIBS} ${KDE4_KPARTS_LIBS} kwordprivate )

install(TARGETS kwordpart  DESTINATION ${PLUGIN_INSTALL_DIR})


########### KWord exe ###############

set(kword_KDEINIT_SRCS main.cpp )

kde4_add_app_icon(kword_KDEINIT_SRCS "${KDE4_ICON_DIR}/oxygen/*/apps/kword.png")

kde4_add_kdeinit_executable( kword ${kword_KDEINIT_SRCS})

if (Q_WS_MAC)
   set_target_properties(kword PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(kword PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.kword")
   set_target_properties(kword PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KWord 2")
endif (Q_WS_MAC)

target_link_libraries(kdeinit_kword  ${KDE4_KDEUI_LIBS} komain )

install(TARGETS kdeinit_kword  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries( kword kdeinit_kword )
install(TARGETS kword  ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES kword.rc kword_readonly.rc  DESTINATION ${DATA_INSTALL_DIR}/kword)
install( FILES kwordpart.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES kword.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES kwordrc DESTINATION ${CONFIG_INSTALL_DIR} )

=== plugins/textshape/CMakeLists.txt ===
project( textPlugin)

add_subdirectory( pics )
add_subdirectory( tests )

include_directories(
    ${KOTEXT_INCLUDES}
    ${FLAKE_INCLUDES}
    ${KOMAIN_INCLUDES}
    ${CMAKE_SOURCE_DIR}/libs/widgets/colorwidgets/
    ${KDE4_INCLUDE_DIR}/threadweaver/)

########### Flake Plugin library ###############

SET ( textshape_SRCS
    TextPlugin.cpp
    TextShape.cpp
    TextShapeFactory.cpp
    TextTool.cpp
    TextEditingPluginContainer.cpp
    TextToolFactory.cpp
    Layout.cpp
    ListItemsHelper.cpp

    ChangeTracker.cpp
    ChangeTrackingTool.cpp
    ChangeTrackingToolFactory.cpp
    TextChanges.cpp
    TextChange.cpp

    TableLayout.cpp
    TableLayoutData.cpp

    dialogs/StylesWidget.cpp
    dialogs/SimpleStyleWidget.cpp
    dialogs/ParagraphLayout.cpp
    dialogs/ParagraphIndentSpacing.cpp
    dialogs/ParagraphDecorations.cpp
    dialogs/ParagraphBulletsNumbers.cpp
    dialogs/ParagraphSettingsDialog.cpp
    dialogs/ListsSpinBox.cpp
    dialogs/StylesModel.cpp
    dialogs/StyleManager.cpp
    dialogs/StyleManagerDialog.cpp
    dialogs/ParagraphGeneral.cpp
    dialogs/NewStyleWidget.cpp
    dialogs/CharacterGeneral.cpp
    dialogs/CharacterHighlighting.cpp
    dialogs/InsertCharacter.cpp
    dialogs/FontDia.cpp
    dialogs/FontLayoutTab.cpp
    dialogs/FontDecorations.cpp
    dialogs/FontTab.cpp
    dialogs/LanguageTab.cpp
    dialogs/FormattingPreview.cpp
    dialogs/StyleManagerWelcome.cpp
    dialogs/TableDialog.cpp
    dialogs/ChangeConfigureDialog.cpp
    dialogs/TrackedChangeModel.cpp
    dialogs/TrackedChangeManager.cpp

    commands/ChangeListCommand.cpp
    commands/ChangeListLevelCommand.cpp
    commands/ListItemNumberingCommand.cpp
    commands/TextCommandBase.cpp
    commands/TextPasteCommand.cpp
    commands/TextCutCommand.cpp
    commands/ShowChangesCommand.cpp
    commands/ChangeTrackedDeleteCommand.cpp
    commands/DeleteCommand.cpp
    commands/AcceptChangeCommand.cpp
    commands/RejectChangeCommand.cpp
)

kde4_add_ui_files(textshape_SRCS
    dialogs/SimpleStyleWidget.ui
    dialogs/StylesWidget.ui
    dialogs/ParagraphLayout.ui
    dialogs/ParagraphIndentSpacing.ui
    dialogs/ParagraphDecorations.ui
    dialogs/ParagraphBulletsNumbers.ui
    dialogs/StyleManager.ui
    dialogs/ParagraphGeneral.ui
    dialogs/NewStyleWidget.ui
    dialogs/CharacterGeneral.ui
    dialogs/CharacterHighlighting.ui
    dialogs/StyleManagerWelcome.ui
    dialogs/TableDialog.ui

    dialogs/FontDecorations.ui
    dialogs/FontLayoutTab.ui
    dialogs/LanguageTab.ui
    dialogs/ChangeConfigureDialog.ui
    dialogs/TrackedChangeManager.ui
)

kde4_add_plugin(textshape ${textshape_SRCS})

target_link_libraries(textshape kotext komain ${EXTRA_LIBS})
if( Soprano_FOUND )
    target_link_libraries(textshape ${SOPRANO_LIBRARIES})
endif( Soprano_FOUND )


install(TARGETS textshape DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install( FILES textshape.desktop DESTINATION ${SERVICES_INSTALL_DIR})
#kde4_install_icons( ${DATA_INSTALL_DIR}/koffice/icons )

=== filters/kword/docx/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=30526)

include_directories(${CMAKE_SOURCE_DIR}/filters/libmsooxml)

########### next target ###############

set(docximport_PART_SRCS
    DocxXmlStylesReader.cpp
    DocxXmlFontTableReader.cpp
    DocxXmlCommentsReader.cpp
    DocxXmlNotesReader.cpp
    DocxXmlDocumentReader.cpp
    DocxImport.cpp
)

kde4_add_plugin(docximport WITH_PREFIX ${docximport_PART_SRCS})

target_link_libraries(
    docximport
    msooxml
    koodf
    komain
)

install(TARGETS docximport DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

IF(FALSE) # not implemented yet

set(docxexport_PART_SRCS DocxExport.cpp ExportFilter.cpp ${libcommon_SRCS} ${liboofilter_SRCS})

kde4_add_plugin(docxexport WITH_PREFIX ${docxexport_PART_SRCS})



target_link_libraries(
    docxexport
    msooxml
    komain
    koodf
)

install(TARGETS docxexport DESTINATION ${PLUGIN_INSTALL_DIR})

ENDIF(FALSE)

########### next target ###############

########### install files ###############

install( FILES 
  kword_docx_import.desktop
#todo  kword_docx_export.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== plugins/textshape/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories( ${CMAKE_SOURCE_DIR}/plugins/textshape 
    ${CMAKE_SOURCE_DIR}/libs/widgets/colorwidgets
    ${CMAKE_SOURCE_DIR}/plugins/textshape/dialogs
    ${CMAKE_BINARY_DIR}/plugins/textshape/dialogs
    ${CMAKE_BINARY_DIR}/plugins/textshape
    ${KOTEXT_INCLUDES}
    ${PIGMENT_INCLUDES})


########### next target ###############

set(TestDocumentLayout_test_SRCS
    TestDocumentLayout.cpp
    TestLists.cpp
    ../Layout.cpp
    ../TextShape.cpp
    ../ListItemsHelper.cpp
    ../TableLayout.cpp
    ../TableLayoutData.cpp
)

kde4_add_unit_test(TestDocumentLayout TESTNAME shapes-text-TestDocumentLayout ${TestDocumentLayout_test_SRCS})

target_link_libraries(TestDocumentLayout ${EXTRA_LIBS} komain ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestChangeListCommand_test_SRCS
    TestChangeListCommand.cpp
    ../commands/ChangeListCommand.cpp
    ../commands/ChangeListLevelCommand.cpp
    ../commands/ListItemNumberingCommand.cpp
    ../commands/TextCommandBase.cpp
    ../commands/TextPasteCommand.cpp
    ../commands/TextCutCommand.cpp
    ../commands/ChangeTrackedDeleteCommand.cpp
    ../commands/DeleteCommand.cpp
    ../commands/ShowChangesCommand.cpp
    ../commands/AcceptChangeCommand.cpp
    ../commands/RejectChangeCommand.cpp
    ../TextTool.cpp
    ../TextEditingPluginContainer.cpp
    ../ChangeTracker.cpp
    ../dialogs/FontDia.cpp
    ../dialogs/InsertCharacter.cpp
    ../dialogs/StyleManagerDialog.cpp
    ../dialogs/ParagraphSettingsDialog.cpp
    ../dialogs/SimpleStyleWidget.cpp
    ../dialogs/StylesWidget.cpp
    ../dialogs/FontTab.cpp
    ../dialogs/CharacterHighlighting.cpp
    ../dialogs/FontDecorations.cpp
    ../dialogs/FontLayoutTab.cpp
    ../dialogs/LanguageTab.cpp
    ../dialogs/StyleManager.cpp
    ../dialogs/ParagraphIndentSpacing.cpp
    ../dialogs/ParagraphLayout.cpp
    ../dialogs/ParagraphDecorations.cpp
    ../dialogs/ParagraphBulletsNumbers.cpp
    ../dialogs/ListsSpinBox.cpp
    ../dialogs/StylesModel.cpp
    ../dialogs/ParagraphGeneral.cpp
    ../dialogs/CharacterGeneral.cpp
    ../dialogs/NewStyleWidget.cpp
    ../dialogs/FormattingPreview.cpp
    ../dialogs/StyleManagerWelcome.cpp
    ../dialogs/TableDialog.cpp
    ../dialogs/TrackedChangeManager.cpp
    ../dialogs/TrackedChangeModel.cpp
    ../dialogs/ChangeConfigureDialog.cpp
    ../ListItemsHelper.cpp
    ../TextShape.cpp
    ../Layout.cpp
    ../TableLayout.cpp
    ../TableLayoutData.cpp
)


kde4_add_unit_test(TestChangeListCommand TESTNAME shapes-text-TestChangeListCommand ${TestChangeListCommand_test_SRCS})
target_link_libraries(TestChangeListCommand ${EXTRA_LIBS} komain ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestChangesDatabase_test_SRCS
    TestChangesDatabase.cpp
    ../TextChanges.cpp
    ../TextChange.cpp
)
kde4_add_unit_test(TestChangesDatabase TESTNAME shapes-text-TestChangesDatabase ${TestChangesDatabase_test_SRCS})
target_link_libraries(TestChangesDatabase ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestStylesModel_test_SRCS
    TestStylesModel.cpp
    ../dialogs/StylesModel.cpp
)
kde4_add_unit_test(TestStylesModel TESTNAME shapes-text-TestStylesModel ${TestStylesModel_test_SRCS})
target_link_libraries(TestStylesModel kotext ${EXTRA_LIBS} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestTableLayout_test_SRCS
    TestTableLayout.cpp
    ../TableLayout.cpp
    ../TableLayoutData.cpp
    ../Layout.cpp
    ../TextShape.cpp
    ../ListItemsHelper.cpp
)
kde4_add_unit_test(TestTableLayout TESTNAME shapes-text-TestTableLayout ${TestTableLayout_test_SRCS})
target_link_libraries(TestTableLayout kotext komain ${QT_QTTEST_LIBRARY})

########### next target ###############

set(TestSections_test_SRCS
    TestSections.cpp
    ../TableLayout.cpp
    ../TableLayoutData.cpp
    ../Layout.cpp
    ../TextShape.cpp
    ../ListItemsHelper.cpp
)
kde4_add_unit_test(TestSections TESTNAME shapes-text-TestSections ${TestSections_test_SRCS})
target_link_libraries(TestSections kotext ${EXTRA_LIBS} ${QT_QTTEST_LIBRARY})

=== libs/kotext/opendocument/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories( ${KOTEXT_INCLUDES} )

add_definitions(-DFILES_DATA_DIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/data/\\"")

########### next target ###############

set(TestLoading_test_SRCS TestLoading.cpp)
kde4_add_unit_test(TestLoading TESTNAME kotext-odf-TestLoading ${TestLoading_test_SRCS})
target_link_libraries(TestLoading kotext ${QT_QTTEST_LIBRARY}  ${QT_QTSCRIPT_LIBRARY})

########### next target ###############

=== debian/changelog ===
koffice (2.1.1-2) unstable; urgency=high

  * Took latest snapshot from upstream.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 3 Mar 2010 08:59:41 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Package: kofficemaemo
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, libkok
 Description: Office application suite for maemo.
  Koffice main libraries.

=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_CMAKE_EXTRA_FLAGS := -DBUILD_artistictextshape=OFF -DBUILD_colorspaces=OFF -DBUILD_doc=OFF -DBUILD_generic_wrapper=OFF -DBUILD_karbon=OFF -DBUILD_kchart=ON -DBUILD_kexi=OFF -DBUILD_kformula=OFF -DBUILD_kivio=OFF -DBUILD_kspread=ON -DBUILD_libkowmf=ON -DBUILD_musicshape=OFF -DBUILD_scan=OFF -DBUILD_f-office=OFF -DBUILD_simpletextedit=OFF -DTINY=ON -DCMAKE_BUILD_TYPE=Release
include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

#dpkg-shlibdeps debian/tmp/usr/bin/* debian/tmp/usr/lib/*

## koffice 2.1.1-4

=== kchart/shape/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/kchart
                     ${CMAKE_SOURCE_DIR}/kchart/kdchart/include
                     ${CMAKE_SOURCE_DIR}/interfaces
                     ${CMAKE_SOURCE_DIR}/kchart/shape/dialogs
                     ${KOMAIN_INCLUDES}
)

########### Flake Plugin library ###############

SET (chartshape_LIB_SRCS
    KDChartConvertions.cpp
    Axis.cpp
    DataSet.cpp
    CellRegion.cpp
    CellRegionStringValidator.cpp
    ChartTableModel.cpp
    Legend.cpp
    TextLabelDummy.cpp
    PlotArea.cpp
    ChartProxyModel.cpp
    KDChartModel.cpp
    Surface.cpp
    ThreeDScene.cpp
    ThreeDTransformation.cpp
    ChartDocument.cpp
    ChartShape.cpp
    ChartTool.cpp
    ChartToolFactory.cpp
    ChartConfigWidget.cpp
    ChartTableView.cpp
    ScreenConversions.cpp
    Layout.cpp
    dialogs/TableEditorDialog.cpp
    dialogs/NewAxisDialog.cpp
    dialogs/AxisScalingDialog.cpp
    dialogs/CellRegionDialog.cpp
    ../commands/ChartTypeCommand.cpp
)

kde4_add_ui_files(chartshape_LIB_SRCS
    ChartConfigWidget.ui
    dialogs/ChartTableEditor.ui
    dialogs/NewAxisDialog.ui
    dialogs/AxisScalingDialog.ui
    dialogs/CellRegionDialog.ui
)

kde4_add_library(chartshapelib SHARED ${chartshape_LIB_SRCS})
target_link_libraries(chartshapelib kdchart komain)
set_target_properties(chartshapelib PROPERTIES VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION} )

install(TARGETS chartshapelib ${INSTALL_TARGETS_DEFAULT_ARGS})

kde4_add_plugin(chartshape ChartShapeFactory.cpp )
target_link_libraries(chartshape chartshapelib kdchart flake)
install(TARGETS chartshape DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install( FILES chartshape.desktop DESTINATION ${SERVICES_INSTALL_DIR})
kde4_install_icons( ${DATA_INSTALL_DIR}/koffice/icons )

=== filters/kspread/xlsx/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=30527)

include_directories( ${KOMAIN_INCLUDES} ${CMAKE_SOURCE_DIR}/filters/libmsooxml )

########### next target ###############

set(xlsximport_PART_SRCS
    ColorConversions.cpp # TODO: only include for TINY target
    XlsxImport.cpp
    XlsxXmlCommonReader.cpp
    XlsxXmlDocumentReader.cpp
    XlsxXmlWorksheetReader.cpp
    XlsxXmlSharedStringsReader.cpp
    XlsxXmlStylesReader.cpp
    XlsxXmlDrawingReader.cpp
    XlsxXmlChartReader.cpp
    XlsxXmlCommentsReader.cpp
    NumberFormatParser.cpp
    ChartExport.cpp
)

kde4_add_plugin(xlsximport WITH_PREFIX ${xlsximport_PART_SRCS})

target_link_libraries(
    xlsximport
    msooxml
    koodf
    komain
    kspreadcommon
)

install(TARGETS xlsximport DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install( FILES 
  kspread_xlsx_import.desktop
#  kspread_xlsx_export.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== filters/kspread/excel/sidewinder/CMakeLists.txt ===
include_directories(
    ${CMAKE_BINARY_DIR}/filters/
    ${CMAKE_SOURCE_DIR}/filters/kspread/xlsx # for Charting.h
)

kde4_add_executable(recordsxml2cpp recordsxml2cpp.cpp)
target_link_libraries(recordsxml2cpp ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY})

add_custom_command(
    OUTPUT records.cpp
    COMMAND recordsxml2cpp ${CMAKE_CURRENT_SOURCE_DIR}/records.xml
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/records.xml recordsxml2cpp
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    VERBATIM)

set(sidewinder_SRCS
  cell.cpp
  excel.cpp
  format.cpp
  pole.cpp
  sheet.cpp
  ustring.cpp
  value.cpp
  workbook.cpp
  formulas.cpp
  utils.cpp
  objects.cpp
  substreamhandler.cpp
  globalssubstreamhandler.cpp
  worksheetsubstreamhandler.cpp
  chartsubstreamhandler.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/records.cpp
)

add_definitions(-DSWINDER_XLS2RAW)

kde4_add_executable(sidewinder TEST ${sidewinder_SRCS})
target_link_libraries(sidewinder ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

=== debian/changelog ===
koffice (2.1.1-4) unstable; urgency=high

  * Took latest snapshot from upstream.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 3 Mar 2010 08:59:41 +0200

=== debian/control ===
Source: koffice
Section: libs
Priority: extra
Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Build-Depends: cdbs (>= 0.4.52), shared-mime-info, debhelper (>= 5), quilt, cmake (>= 2.6.2), pkg-kde-tools (>= 0.4), libboost1.38-dev, libkok-dev, libpng12-dev, libeigen2-dev, libqt4-phonon, libjpeg62-dev, automoc, libgsf-1-dev, libx11-dev
Standards-Version: 3.8.0

Package: kofficemeego
Section: libs
Architecture: any
Depends: libkok
Description: Office application suite for meego.
 Koffice main libraries.

Package: kofficemeego-dev
Section: libdevel
Architecture: any
Depends: kofficemeego (>= ${binary:Version}), libkok-dev
Description: Office application suite dev files for meego.
 KOffice development files.

Package: kofficemeego-doc
Section: doc
Architecture: any
Description: Document package for kofficemeego
 Document package

Package: koffice-kchart
Section: libs
Architecture: any
Depends: kofficemeego (>= ${binary:Version})
Description: Chart support for office application suite
 KOffice chart library.

Package: kofficemeego-dbg
Priority: extra
Architecture: any
Depends: kofficemeego (= ${binary:Version}), koffice-kchart (= ${binary:Version})
Description: Office application suite dbg files for meego.
 KOffice dbg symbols.

## koffice 2.1.1-5

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,9 @@
 #
 #eg:
 #option(BUILD_kexi "Build directory kexi" OFF) # kexi isn't buildable at the moment
+
+option(GHNS "support Get Hot New Stuff" ON)
+configure_file(config-ghns.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ghns.h )
 
 option(TINY "compile a tiny KOffice" OFF)
 
@@ -78,18 +81,18 @@
 set(KDE_MIN_VERSION "4.3.0")
 find_package(KDE4 4.3.0 REQUIRED)
 
-option(FORCE_COMPILATION_WITH_QT45 "This option force KOffice to accept compilation with Qt4.5, but note that this is not supported by KOffice team" OFF)
-
-if(FORCE_COMPILATION_WITH_QT45)
-  find_package(Qt4 4.5.0 REQUIRED)
-else(FORCE_COMPILATION_WITH_QT45)
-  find_package(Qt4 4.6.0 REQUIRED)
-endif(FORCE_COMPILATION_WITH_QT45)
+find_package(Qt4 4.6.0 REQUIRED)
 
 include(KDE4Defaults)
 include(MacroLibrary)
 include (MacroAdditionalCleanFiles)
 include (MacroAddFileDependencies)
+
+option(GHNS "support Get Hot New Stuff" ON)
+if(KDE_VERSION LESS "4.4.0")
+    set(GHNS FALSE)
+endif(KDE_VERSION LESS "4.4.0")
+configure_file(config-ghns.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ghns.h )
 
  ###########################
 ############################
@@ -301,7 +304,8 @@
                    ${CMAKE_SOURCE_DIR}/libs/kotext/opendocument
                    ${SOPRANO_INCLUDE_DIR}
                    ${FLAKE_INCLUDES}
-                   ${KOODF_INCLUDES})
+                   ${KOODF_INCLUDES}
+                   ${CMAKE_SOURCE_DIR}/libs/main)
 
 # komain depends on kotext & flake
 set(KOMAIN_INCLUDES ${KDE4_INCLUDES}
@@ -342,8 +346,3 @@
 
 ### KSpread: eigen2
 if(NOT EIGEN2_FOUND)
-    set(SHOULD_BUILD_KSPREAD FALSE)
-endif(NOT EIGEN2_FOUND)
-
-### KPresenter: boost
-if(NOT Boost_FOUND)

=== debian/changelog ===
koffice (2.1.1-5) unstable; urgency=high

  * Took latest snapshot from upstream. Added replaces to control file.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 3 Mar 2010 08:59:41 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Package: kofficemeego
 Section: libs
 Architecture: any
+Replaces: kofficemaemo
 Depends: libkok
 Description: Office application suite for meego.
  Koffice main libraries.
@@ -15,6 +16,7 @@
 Package: kofficemeego-dev
 Section: libdevel
 Architecture: any
+Replaces: kofficemaemo-dev
 Depends: kofficemeego (>= ${binary:Version}), libkok-dev
 Description: Office application suite dev files for meego.
  KOffice development files.
@@ -22,6 +24,7 @@
 Package: kofficemeego-doc
 Section: doc
 Architecture: any
+Replaces: kofficemaemo-doc
 Description: Document package for kofficemeego
  Document package
 
@@ -35,6 +38,7 @@
 Package: kofficemeego-dbg
 Priority: extra
 Architecture: any
+Replaces: kofficemaemo-dbg
 Depends: kofficemeego (= ${binary:Version}), koffice-kchart (= ${binary:Version})
 Description: Office application suite dbg files for meego.
  KOffice dbg symbols.
